Bug 178526 - devel/tcl-memchan: it's failing to build everywhere
Summary: devel/tcl-memchan: it's failing to build everywhere
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mikhail Teterin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-12 08:30 UTC by John Marino
Modified: 2013-06-13 13:01 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino 2013-05-12 08:28:15 UTC
>Number:         178526
>Category:       ports
>Synopsis:       devel/tcl-memchan: it's failing to build everywhere
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          sw-bug
>Submitter-Id:   current-users
>Arrival-Date:   Sun May 12 07:30:00 UTC 2013
>Closed-Date:
>Last-Modified:
>Originator:     John Marino
>Release:        
>Organization:
>Environment:
>Description:
See http://portsmon.freebsd.org/portoverview.py?category=devel&portname=tcl-memchan for failure logs

These "can't find package doctools
    while executing
"package require doctools"
    (file "../tools/mpexpand.tcl" line 16)" errors seem to be on all platforms including DragonFly

This port was recently updated.  It's not clear if it's always been problem or if a dependency got changed which affects it.
>How-To-Repeat:

>Fix:


>Release-Note:
>Audit-Trail:
>Unformatted:
_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"
Comment 1 John Marino 2013-05-12 08:30:00 UTC
See http://portsmon.freebsd.org/portoverview.py?category=devel&portname=tcl-memchan for failure logs

These "can't find package doctools
    while executing
"package require doctools"
    (file "../tools/mpexpand.tcl" line 16)" errors seem to be on all platforms including DragonFly

This port was recently updated.  It's not clear if it's always been problem or if a dependency got changed which affects it.
Comment 2 Edwin Groothuis freebsd_committer 2013-05-12 08:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mi

mi@aldan.algebra.com => mi@ (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2013-05-12 08:30:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Edwin Groothuis freebsd_committer 2013-05-12 08:30:09 UTC
Maintainer of devel/tcl-memchan,

Please note that PR ports/178526 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/178526

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 5 dfilter service freebsd_committer 2013-05-12 14:56:37 UTC
Author: mi
Date: Sun May 12 13:56:24 2013
New Revision: 317960
URL: http://svnweb.freebsd.org/changeset/ports/317960

Log:
  Add build-dependency on tcllib -- doctools is needed to generate
  man-pages.
  
  PR:		178526
  Submitted by:	John Marino

Modified:
  head/devel/tcl-memchan/Makefile

Modified: head/devel/tcl-memchan/Makefile
==============================================================================
--- head/devel/tcl-memchan/Makefile	Sun May 12 13:50:27 2013	(r317959)
+++ head/devel/tcl-memchan/Makefile	Sun May 12 13:56:24 2013	(r317960)
@@ -11,6 +11,8 @@ DISTNAME=	Memchan${PORTVERSION}
 MAINTAINER=	mi@aldan.algebra.com
 COMMENT=	Two new channel types for in-memory channels in TCL8
 
+BUILD_DEPENDS=	${LOCALBASE}/lib/tcllib/doctools/pkgIndex.tcl:${PORTSDIR}/devel/tcllib
+
 WRKSRC=		${WRKDIR}/${DISTNAME}
 
 MAKE_JOBS_SAFE=	yes
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 John Marino 2013-06-11 10:36:37 UTC
I believe this PR was completed, but not closed.
Can someone close it if the problem has been addressed?
John
Comment 7 William Grzybowski freebsd_committer 2013-06-13 13:01:34 UTC
State Changed
From-To: feedback->closed

Requested by the submitter